searchData={"items":[{"type":"protocol","title":"Clock","doc":"A simple clock protocol for time traveling in tests.\n\nIn your code, hold onto a clock struct and use the protocol for all things time related.\n\n```\nclock = %Clock.RealClock{}\n...\nnow = Clock.now(clock)\n```\n\nIn tests, make sure the clock struct is a `FakeClock` and use it to time travel.\n\n```\nclock = %Clock.FakeClock{}\n...\nnow = Clock.now(clock)\nClock.FakeClock.travel(clock, 60_000)\none_minute_later = Clock.now(clock)\n```","ref":"Clock.html"},{"type":"function","title":"Clock.cancel/2","doc":"","ref":"Clock.html#cancel/2"},{"type":"function","title":"Clock.now/1","doc":"","ref":"Clock.html#now/1"},{"type":"function","title":"Clock.send_after/4","doc":"","ref":"Clock.html#send_after/4"},{"type":"function","title":"Clock.send_interval/4","doc":"","ref":"Clock.html#send_interval/4"},{"type":"type","title":"Clock.t/0","doc":"All the types that implement this protocol.","ref":"Clock.html#t:t/0"},{"type":"type","title":"Clock.tref/0","doc":"","ref":"Clock.html#t:tref/0"},{"type":"extras","title":"Clock","doc":"# Clock","ref":"readme.html"},{"type":"extras","title":"Installation - Clock","doc":"Add the package to your `mix.exs` dependencies:\n\n```\n  {:clock, \"~> 0.1\"}\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Clock","doc":"In your code, hold onto a clock struct and use the protocol for all things time related.\n\n```\nclock = %Clock.RealClock{}\n...\nnow = Clock.now(clock)\n```\n\nIn tests, make sure the clock struct is a `FakeClock` and use it to time travel.\n\n```\nclock = %Clock.FakeClock{}\n...\nnow = Clock.now(clock)\nClock.FakeClock.travel(clock, 60_000)\none_minute_later = Clock.now(clock)\n```","ref":"readme.html#usage"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}